CC        = bcc32
LINKER    = ilink32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = atnd.exe
OBJS   = guide.obj line.obj numbered.obj quad_i.obj queue.obj ring_buffer.obj standard_line.obj standard_io.obj atndmain.obj 

ALL : $(TARGET)

guide.obj: guide.c
	$(CC) $(INCLUDE) -c guide.c
line.obj: line.c
	$(CC) $(INCLUDE) -c line.c
numbered.obj: numbered.c
	$(CC) $(INCLUDE) -c numbered.c
quad_i.obj: quad_i.c
	$(CC) $(INCLUDE) -c quad_i.c
queue.obj: queue.c
	$(CC) $(INCLUDE) -c queue.c
ring_buffer.obj: ring_buffer.c
	$(CC) $(INCLUDE) -c ring_buffer.c
standard_line.obj: standard_line.c
	$(CC) $(INCLUDE) -c standard_line.c
standard_io.obj: standard_io.c
	$(CC) $(INCLUDE) -c standard_io.c
atndmain.obj: atndMain.c
	$(CC) $(CFLAGS) $(INCLUDE) -c atndMain.c

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
