CC        = bcc32
LINKER    = ilink32
RC        = brcc32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap
RFLAGS = -32

TARGET = dayu.exe
OBJS   = dividing.obj editing.obj guide.obj leaf.obj path.obj regulate.obj skipping.obj sparse_sjis.obj standard_io.obj dayumain.obj 
RESFILES = dayuResource.res

ALL : $(TARGET)

dayumain.obj: dayuMain.c
	$(CC) $(CFLAGS) $(INCLUDE) -c dayuMain.c
dividing.obj: dividing.c
	$(CC) $(INCLUDE) -c dividing.c
editing.obj: editing.c
	$(CC) $(INCLUDE) -c editing.c
guide.obj: guide.c
	$(CC) $(INCLUDE) -c guide.c
leaf.obj: leaf.c
	$(CC) $(INCLUDE) -c leaf.c
path.obj: path.c
	$(CC) $(INCLUDE) -c path.c
regulate.obj: regulate.c
	$(CC) $(INCLUDE) -c regulate.c
skipping.obj: skipping.c
	$(CC) $(INCLUDE) -c skipping.c
sparse_sjis.obj: sparse_SJIS.c
	$(CC) $(INCLUDE) -c sparse_SJIS.c
standard_io.obj: standard_io.c
	$(CC) $(INCLUDE) -c standard_io.c
dayuResource.res: dayuResource.rc
	$(RC) $(RFLAGS) dayuResource.rc

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
	del *.res
