CC        = bcc32
LINKER    = ilink32
RC        = brcc32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = keyun.exe
OBJS   = arrange.obj compare.obj guide.obj keyunMain.obj run_length.obj
RESFILES = keyunResource.res

ALL : $(TARGET)

arrange.obj: arrange.c
	$(CC) $(INCLUDE) -c arrange.c
compare.obj: compare.c
	$(CC) $(INCLUDE) -c compare.c
guide.obj: Guide.c
	$(CC) $(INCLUDE) -c Guide.c
keyunmain.obj: keyunMain.c
	$(CC) $(CFLAGS) $(INCLUDE) -c keyunMain.c
keyunResource.res: keyunResource.rc
	$(RC) $(RFLAGS) keyunResource.rc
run_length.obj: run_length.c
	$(CC) $(INCLUDE) -c run_length.c

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
