#include "keyun.h"

void version_guide(double v, BOOL comments, BOOL loud) {
    char combo[BLOCK_SIZE];

    combo[0] = '\0';
    sprintf(combo, "keyun C-%1.3f\n\n", v);

    if(comments) {
        strcat(combo, "keyun                   # Read records and arrange lines. \n");
        strcat(combo, "keyun -f                # EIGHT equals eight. \n");
        strcat(combo, "keyun -o new            # Read records to produce a new file. \n");
        strcat(combo, "keyun -o-               # Display lines without producing a new file. \n");
        strcat(combo, "keyun -e -o new         # 0Dh is removed from every line. \n");
        strcat(combo, "keyun -r                # Arrange lines in descending order. \n");
        strcat(combo, "keyun -u                # Display a line for each unique summary. \n");
        strcat(combo, "keyun -y                # Do not remove binary.tmp \n");
        strcat(combo, "keyun -V                # version \n");
        strcat(combo, "keyun --help            # Display comments. \n");
        strcat(combo, "keyun -s --help > file  # Produce a help file. \n");
    } else {
        strcat(combo, "keyun --help \n");
    }

    if(loud) {
        fprintf(stderr, combo);
    } else { // -s
        fprintf(stdout, combo);
    }

    exit(1);
}
