#ifndef OBOT_H
#define OBOT_H

#ifdef __BORLANDC__
#pragma warn -8004
#endif

#define VERSION 1.07
#define COMMA ','
#define COUNT_LF "-LF"
#define C_SIZE 256 /* FILE_NAME_SIZE + 1 */
#define FIELD_COUNT 20
#define END_OF_FILE 2
#define ERROR_TEXT "error.txt"
#define FILE_ERROR -1L
#define FILE_NAME_SIZE 255
#define HE 0xCD /* "" Shift_JIS */
#define LARGE_BUFFER_SIZE 524288
#define NOT_FOUND -1
#define SETTING_TEXT "set_obot.txt"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "bool_true.h"
#include "numbered.h"
#include "quad_i_union.h"

typedef struct HEXADECIMAL_FIELDS HEXADECIMAL_FIELDS;
struct HEXADECIMAL_FIELDS {
    char *buffer;
    int buffer_size, field_count, limit, line_count, separator;
    long whole;
    char file_name[FILE_NAME_SIZE];
};

BOOL setting(HEXADECIMAL_FIELDS *h, char *e, int b, int f, int l, int s);
int represented_in_hexadecimal(HEXADECIMAL_FIELDS *h);
int punctuation(char *p, int q);
long file_size(char *file_name);
void acquire_parameters_from_text(const char *parameters_text, char *file_name, int *buffer_size, int *limit, int *separator, int *field_count, int *maximum_row_number);
void error_handler(const char *p, char *q);
void release(HEXADECIMAL_FIELDS *h);
void version_guide(double v, BOOL comments);

#endif /* OBOT_H */
