#include "kanji_union.h"

extern FIELD_POINTER *fields_list; /* array of fields */
extern LEAF *stem;

BOOL open_close(char *file_name) {
    BOOL b = TRUE;
    FILE *file = fopen(file_name, "rt");
    if(file == NULL) {
        b = FALSE;
    } else {
        fclose(file);
    }

    return b;
}

void path_name(char *data, char *extra, char *buffer, int buffer_size) {
    DIVIDING dividing;
    DIVIDING *d = &dividing;
    int k;
    LEAF *left;

    dividing_S(d, ';');
    left = complementing_fields_list(d, data, extra, '\\');

    memset(buffer, 0, buffer_size);
    for(k = 0; k < d->field_count; k++) {
        if( open_close( fields_list[k] ) ) {
            strcpy(buffer, fields_list[k]);
            break;
        }

    }

    lose_leaves(left);
    release_arrays(d);
}
