CC        = bcc32c
LINKER    = ilink32

INCLUDE = -I"C:\BCC102\include"
LIB     = -L"C:\BCC102\lib\win32c\debug"


CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = keyun.exe
OBJS   = arrange.obj compare.obj guide.obj keyunMain.obj run_length.obj
RESFILES = keyunResource.res

ALL : $(TARGET)

arrange.obj: arrange.c
	$(CC) $(INCLUDE) -c arrange.c
compare.obj: compare.c
	$(CC) $(INCLUDE) -c compare.c
guide.obj: Guide.c
	$(CC) $(INCLUDE) -c Guide.c
keyunmain.obj: keyunMain.c
	$(CC) $(CFLAGS) $(INCLUDE) -c keyunMain.c
run_length.obj: run_length.c
	$(CC) $(INCLUDE) -c run_length.c

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
