#ifndef INTEGER_QUEUE_H
#define INTEGER_QUEUE_H

#define INTEGER_QUEUE_SIZE 128
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

enum QUEUE_STATUS {QUEUE_GROWN, QUEUE_SHRUNK, EMPTY_ERROR, FULL_HOUSE_ERROR, MALLOC_ERROR, QUEUE_ERROR_COUNT};
int display_queue(void);
int empty_queue(void);
int next_integer(int index);
int pop_frontal(void);
int prepare_ring_buffer(int size, int control);
int push_back_integer(int q);
int integer_queue_size(void);
void clearing(void);

#endif /* INTEGER_QUEUE_H */
