CC        = bcc32
LINKER    = ilink32
RC        = brcc32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = sortk.exe
OBJS   = arrange.obj compare.obj counting.obj guide.obj line.obj numbered.obj put_text.obj run_length.obj segmented.obj sortkMain.obj standard_io.obj summary_details.obj 
RESFILES = sortkResource.res

ALL : $(TARGET)

arrange.obj: arrange.c
	$(CC) $(INCLUDE) -c arrange.c
compare.obj: compare.c
	$(CC) $(INCLUDE) -c compare.c
counting.obj: counting.c
	$(CC) $(INCLUDE) -c counting.c
guide.obj: Guide.c
	$(CC) $(INCLUDE) -c Guide.c
line.obj: line.c
	$(CC) $(INCLUDE) -c line.c
numbered.obj: Numbered.c
	$(CC) $(INCLUDE) -c Numbered.c
put_text.obj: put_text.c
	$(CC) $(INCLUDE) -c put_text.c
run_length.obj: run_length.c
	$(CC) $(INCLUDE) -c run_length.c
segmented.obj: segmented.c
	$(CC) $(INCLUDE) -c segmented.c
sortkmain.obj: sortkMain.c
	$(CC) $(CFLAGS) $(INCLUDE) -c sortkMain.c
standard_io.obj: standard_io.c
	$(CC) $(INCLUDE) -c standard_io.c
summary_details.obj: summary_details.c
	$(CC) $(INCLUDE) -c summary_details.c
sortkResource.res: sortkResource.rc
	$(RC) $(RFLAGS) sortkResource.rc

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
