#include "sutai.h"

int check_ID[LIMIT_OF_MY_MEMORY];
int h;

static char wide_space[WIDE_SPACE_SIZE];
static double du, dv;

int compare_doubles(const void *x, const void *y) {
    DOUBLE_UNION u, v;
    int k = -1;

    memset(u.c, 0, BLOCK_SIZE);
    memset(v.c, 0, BLOCK_SIZE);

    memcpy(u.c, (char *)x, END_ID);
    memcpy(v.c, (char *)y, END_ID);

    if(u.d[0] == v.d[0]) {
        if(u.d[1] == v.d[1]) {
            if(u.d[2] == v.d[2]) {
                if(u.d[3] == v.d[3]) {
                    if(u.d[4] == v.d[4]) {
                        if(u.d[5] == v.d[5]) {
                            if(u.d[6] == v.d[6]) {
                                if(u.d[7] == v.d[7]) {
                                    if(u.d[8] == v.d[8]) {
                                        if(u.d[9] == v.d[9]) {
                                            check_ID[h++] = u.n[LINE_ID];
                                            if(h >= LIMIT_OF_MY_MEMORY) {
                                                h = 0;
                                            }

                                            du = (double)u.n[LINE_ID];
                                            dv = (double)v.n[LINE_ID];
                                            u.d[9] += du;
                                            v.d[9] += dv;
                                            if(u.d[9] == v.d[9]) {
                                                k = 0;
                                            } else if(u.d[9] > v.d[9]) {
                                                k = 1;
                                            }

                                        } else if(u.d[9] > v.d[9]) {
                                            k = 1;
                                        }

                                    } else if(u.d[8] > v.d[8]) {
                                        k = 1;
                                    }

                                } else if(u.d[7] > v.d[7]) {
                                    k = 1;
                                }

                            } else if(u.d[6] > v.d[6]) {
                                k = 1;
                            }

                        } else if(u.d[5] > v.d[5]) {
                            k = 1;
                        }

                    } else if(u.d[4] > v.d[4]) {
                        k = 1;
                    }

                } else if(u.d[3] > v.d[3]) {
                    k = 1;
                }

            } else if(u.d[2] > v.d[2]) {
                k = 1;
            }

        } else if(u.d[1] > v.d[1]) {
            k = 1;
        }

    } else if(u.d[0] > v.d[0]) {
        k = 1;
    }

    return k;
}

int compare_doubles_descending(const void *x, const void *y) {
    DOUBLE_UNION u, v;
    int k = 1;

    memset(u.c, 0, BLOCK_SIZE);
    memset(v.c, 0, BLOCK_SIZE);

    memcpy(u.c, (char *)x, END_ID);
    memcpy(v.c, (char *)y, END_ID);

    if(u.d[0] == v.d[0]) {
        if(u.d[1] == v.d[1]) {
            if(u.d[2] == v.d[2]) {
                if(u.d[3] == v.d[3]) {
                    if(u.d[4] == v.d[4]) {
                        if(u.d[5] == v.d[5]) {
                            if(u.d[6] == v.d[6]) {
                                if(u.d[7] == v.d[7]) {
                                    if(u.d[8] == v.d[8]) {
                                        if(u.d[9] == v.d[9]) {
                                            check_ID[h++] = u.n[LINE_ID];
                                            if(h >= LIMIT_OF_MY_MEMORY) {
                                                h = 0;
                                            }

                                            du = (double)u.n[LINE_ID];
                                            dv = (double)v.n[LINE_ID];
                                            u.d[9] += du;
                                            v.d[9] += dv;
                                            if(u.d[9] == v.d[9]) {
                                                k = 0;
                                            } else if(u.d[9] > v.d[9]) {
                                                k = -1;
                                            }

                                        } else if(u.d[9] > v.d[9]) {
                                            k = -1;
                                        }

                                    } else if(u.d[8] > v.d[8]) {
                                        k = -1;
                                    }

                                } else if(u.d[7] > v.d[7]) {
                                    k = -1;
                                }

                            } else if(u.d[6] > v.d[6]) {
                                k = -1;
                            }

                        } else if(u.d[5] > v.d[5]) {
                            k = -1;
                        }

                    } else if(u.d[4] > v.d[4]) {
                        k = -1;
                    }

                } else if(u.d[3] > v.d[3]) {
                    k = -1;
                }

            } else if(u.d[2] > v.d[2]) {
                k = -1;
            }

        } else if(u.d[1] > v.d[1]) {
            k = -1;
        }

    } else if(u.d[0] > v.d[0]) {
        k = -1;
    }

    return k;
}

int compare_integers(const void *x, const void *y) {
    DOUBLE_UNION u, v;
    int k = -1;

    memset(u.c, 0, BLOCK_SIZE);
    memset(v.c, 0, BLOCK_SIZE);

    memcpy(u.c, (char *)x, END_ID);
    memcpy(v.c, (char *)y, END_ID);

    if(u.n[0] == v.n[0]) {
        if(u.n[1] == v.n[1]) {
            if(u.n[2] == v.n[2]) {
                if(u.n[3] == v.n[3]) {
                    if(u.n[4] == v.n[4]) {
                        if(u.n[5] == v.n[5]) {
                            if(u.n[6] == v.n[6]) {
                                if(u.n[7] == v.n[7]) {
                                    if(u.n[8] == v.n[8]) {
                                        if(u.n[9] == v.n[9]) {
                                            if(u.n[10] == v.n[10]) {
                                                if(u.n[11] == v.n[11]) {
                                                    if(u.n[12] == v.n[12]) {
                                                        if(u.n[13] == v.n[13]) {
                                                            if(u.n[14] == v.n[14]) {
                                                                if(u.n[15] == v.n[15]) {
                                                                    if(u.n[16] == v.n[16]) {
                                                                        if(u.n[17] == v.n[17]) {
                                                                            if(u.n[18] == v.n[18]) {
                                                                                if(u.n[19] == v.n[19]) {
                                                                                    check_ID[h++] = u.n[LINE_ID];
                                                                                    if(h >= LIMIT_OF_MY_MEMORY) {
                                                                                        h = 0;
                                                                                    }

                                                                                    u.n[19] += u.n[LINE_ID];
                                                                                    v.n[19] += v.n[LINE_ID];
                                                                                    if(u.n[19] == v.n[19]) {
                                                                                        k = 0;
                                                                                    } else if(u.n[19] > v.n[19]) {
                                                                                        k = 1;
                                                                                    }

                                                                                } else if(u.n[19] > v.n[19]) {
                                                                                    k = 1;
                                                                                }

                                                                            } else if(u.n[18] > v.n[18]) {
                                                                                k = 1;
                                                                            }

                                                                        } else if(u.n[17] > v.n[17]) {
                                                                            k = 1;
                                                                        }

                                                                    } else if(u.n[16] > v.n[16]) {
                                                                        k = 1;
                                                                    }

                                                                } else if(u.n[15] > v.n[15]) {
                                                                    k = 1;
                                                                }

                                                            } else if(u.n[14] > v.n[14]) {
                                                                k = 1;
                                                            }

                                                        } else if(u.n[13] > v.n[13]) {
                                                            k = 1;
                                                        }

                                                    } else if(u.n[12] > v.n[12]) {
                                                        k = 1;
                                                    }

                                                } else if(u.n[11] > v.n[11]) {
                                                    k = 1;
                                                }

                                            } else if(u.n[10] > v.n[10]) {
                                                k = 1;
                                            }

                                        } else if(u.n[9] > v.n[9]) {
                                            k = 1;
                                        }

                                    } else if(u.n[8] > v.n[8]) {
                                        k = 1;
                                    }

                                } else if(u.n[7] > v.n[7]) {
                                    k = 1;
                                }

                            } else if(u.n[6] > v.n[6]) {
                                k = 1;
                            }

                        } else if(u.n[5] > v.n[5]) {
                            k = 1;
                        }

                    } else if(u.n[4] > v.n[4]) {
                        k = 1;
                    }

                } else if(u.n[3] > v.n[3]) {
                    k = 1;
                }

            } else if(u.n[2] > v.n[2]) {
                k = 1;
            }

        } else if(u.n[1] > v.n[1]) {
            k = 1;
        }

    } else if(u.n[0] > v.n[0]) {
        k = 1;
    }

    return k;
}

int compare_integers_descending(const void *x, const void *y) {
    DOUBLE_UNION u, v;
    int k = 1;

    memset(u.c, 0, BLOCK_SIZE);
    memset(v.c, 0, BLOCK_SIZE);

    memcpy(u.c, (char *)x, END_ID);
    memcpy(v.c, (char *)y, END_ID);

    if(u.n[0] == v.n[0]) {
        if(u.n[1] == v.n[1]) {
            if(u.n[2] == v.n[2]) {
                if(u.n[3] == v.n[3]) {
                    if(u.n[4] == v.n[4]) {
                        if(u.n[5] == v.n[5]) {
                            if(u.n[6] == v.n[6]) {
                                if(u.n[7] == v.n[7]) {
                                    if(u.n[8] == v.n[8]) {
                                        if(u.n[9] == v.n[9]) {
                                            if(u.n[10] == v.n[10]) {
                                                if(u.n[11] == v.n[11]) {
                                                    if(u.n[12] == v.n[12]) {
                                                        if(u.n[13] == v.n[13]) {
                                                            if(u.n[14] == v.n[14]) {
                                                                if(u.n[15] == v.n[15]) {
                                                                    if(u.n[16] == v.n[16]) {
                                                                        if(u.n[17] == v.n[17]) {
                                                                            if(u.n[18] == v.n[18]) {
                                                                                if(u.n[19] == v.n[19]) {
                                                                                    check_ID[h++] = u.n[LINE_ID];
                                                                                    if(h >= LIMIT_OF_MY_MEMORY) {
                                                                                        h = 0;
                                                                                    }

                                                                                    u.n[19] += u.n[LINE_ID];
                                                                                    v.n[19] += v.n[LINE_ID];
                                                                                    if(u.n[19] == v.n[19]) {
                                                                                        k = 0;
                                                                                    } else if(u.n[19] > v.n[19]) {
                                                                                        k = -1;
                                                                                    }

                                                                                } else if(u.n[19] > v.n[19]) {
                                                                                    k = -1;
                                                                                }

                                                                            } else if(u.n[18] > v.n[18]) {
                                                                                k = -1;
                                                                            }

                                                                        } else if(u.n[17] > v.n[17]) {
                                                                            k = -1;
                                                                        }

                                                                    } else if(u.n[16] > v.n[16]) {
                                                                        k = -1;
                                                                    }

                                                                } else if(u.n[15] > v.n[15]) {
                                                                    k = -1;
                                                                }

                                                            } else if(u.n[14] > v.n[14]) {
                                                                k = -1;
                                                            }

                                                        } else if(u.n[13] > v.n[13]) {
                                                            k = -1;
                                                        }

                                                    } else if(u.n[12] > v.n[12]) {
                                                        k = -1;
                                                    }

                                                } else if(u.n[11] > v.n[11]) {
                                                    k = -1;
                                                }

                                            } else if(u.n[10] > v.n[10]) {
                                                k = -1;
                                            }

                                        } else if(u.n[9] > v.n[9]) {
                                            k = -1;
                                        }

                                    } else if(u.n[8] > v.n[8]) {
                                        k = -1;
                                    }

                                } else if(u.n[7] > v.n[7]) {
                                    k = -1;
                                }

                            } else if(u.n[6] > v.n[6]) {
                                k = -1;
                            }

                        } else if(u.n[5] > v.n[5]) {
                            k = -1;
                        }

                    } else if(u.n[4] > v.n[4]) {
                        k = -1;
                    }

                } else if(u.n[3] > v.n[3]) {
                    k = -1;
                }

            } else if(u.n[2] > v.n[2]) {
                k = -1;
            }

        } else if(u.n[1] > v.n[1]) {
            k = -1;
        }

    } else if(u.n[0] > v.n[0]) {
        k = -1;
    }

    return k;
}

int case_insensitive_comparison(const void *x, const void *y) {
    DOUBLE_UNION u, v;
    int k = -1;

    memset(u.c, 0, BLOCK_SIZE);
    memset(v.c, 0, BLOCK_SIZE);

    memcpy(u.c, (char *)x, END_ID);
    memcpy(v.c, (char *)y, END_ID);

    k = stricmp(u.c, v.c);
    if(k == 0) {
        check_ID[h++] = u.n[LINE_ID];
        if(h >= LIMIT_OF_MY_MEMORY) {
            h = 0;
        }

        sprintf(wide_space, "%10d", u.n[LINE_ID]);
        strcat(u.c, wide_space);

        sprintf(wide_space, "%10d", v.n[LINE_ID]);
        strcat(v.c, wide_space);
        k = strcmp(u.c, v.c);
    }

    return k;
}

int case_insensitive_comparison_descending(const void *x, const void *y) {
    DOUBLE_UNION u, v;
    int k = -1;

    memset(u.c, 0, BLOCK_SIZE);
    memset(v.c, 0, BLOCK_SIZE);

    memcpy(u.c, (char *)x, END_ID);
    memcpy(v.c, (char *)y, END_ID);

    k = stricmp(u.c, v.c);
    if(k == 0) {
        check_ID[h++] = u.n[LINE_ID];
        if(h >= LIMIT_OF_MY_MEMORY) {
            h = 0;
        }

        sprintf(wide_space, "%10d", u.n[LINE_ID]);
        strcat(u.c, wide_space);

        sprintf(wide_space, "%10d", v.n[LINE_ID]);
        strcat(v.c, wide_space);
        k = strcmp(u.c, v.c);
    }

    return -1 * k;
}

int compare_phrases(const void *x, const void *y) {
    DOUBLE_UNION u, v;
    int k = -1;

    memset(u.c, 0, BLOCK_SIZE);
    memset(v.c, 0, BLOCK_SIZE);

    memcpy(u.c, (char *)x, END_ID);
    memcpy(v.c, (char *)y, END_ID);

    k = strcmp(u.c, v.c);
    if(k == 0) {
        check_ID[h++] = u.n[LINE_ID];
        if(h >= LIMIT_OF_MY_MEMORY) {
            h = 0;
        }

        sprintf(wide_space, "%10d", u.n[LINE_ID]);
        strcat(u.c, wide_space);

        sprintf(wide_space, "%10d", v.n[LINE_ID]);
        strcat(v.c, wide_space);
        k = strcmp(u.c, v.c);
    }

    return k;
}

int compare_phrases_descending(const void *x, const void *y) {
    DOUBLE_UNION u, v;
    int k = -1;

    memset(u.c, 0, BLOCK_SIZE);
    memset(v.c, 0, BLOCK_SIZE);

    memcpy(u.c, (char *)x, END_ID);
    memcpy(v.c, (char *)y, END_ID);

    k = strcmp(u.c, v.c);
    if(k == 0) {
        check_ID[h++] = u.n[LINE_ID];
        if(h >= LIMIT_OF_MY_MEMORY) {
            h = 0;
        }

        sprintf(wide_space, "%10d", u.n[LINE_ID]);
        strcat(u.c, wide_space);

        sprintf(wide_space, "%10d", v.n[LINE_ID]);
        strcat(v.c, wide_space);
        k = strcmp(u.c, v.c);
    }

    return -1 * k;
}

