#include "sutai.h"

static char zero[SMALL_BUFFER];

char *BOOL_line(int lineNumber, BOOL b) {
    switch(lineNumber) {
    case 4: // add_ID
        if(b) {
            strcpy(zero, "-#");
        } else {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        }

        break;
    case 5: // case_sensitive
        if(b) {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        } else {
            strcpy(zero, "-f");
        }

        break;
    case 6: // report_ID
        if(b) {
            strcpy(zero, "-!");
        } else {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        }

        break;
    case 9: // carriage_return
        if(b) {
            strcpy(zero, "-CRLF");
        } else {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        }

        break;
    case 10: // descending
        if(b) {
            strcpy(zero, "-r");
        } else {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        }

        break;
    case 11: // loud
        if(b) {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        } else {
            strcpy(zero, "-s");
        }

        break;
    case 12: // remove_temporary_binary_file
        if(b) {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        } else {
            strcpy(zero, "-y");
        }

        break;
    case 13: // unique_summary
        if(b) {
            strcpy(zero, "-u");
        } else {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        }

        break;
    default:
        break;
    }

    return zero;
}

void producing_text(const char *parameters_text, char *file_name, char *new_name, int line_count, int manager, int record_size, BOOL add_ID, BOOL case_sensitive, BOOL report_ID, BOOL carriage_return, BOOL descending, BOOL loud, BOOL remove_temporary_binary_file, BOOL unique_summary) {
    FILE *file = fopen(parameters_text, "wt");
    fprintf(file, "%d\t\tlines\n", line_count); // Line-1
    fprintf(file, "%d\t\tdecimals\n", manager); // Line-2
    fprintf(file, "%d\t\tbytes\n", record_size); // Line-3
    fputs( BOOL_line(4, add_ID), file);                        fputs("\t\t-#\n", file); // Line-4
    fputs( BOOL_line(5, case_sensitive), file);                fputs("\t\t-f\n", file); // Line-5
    fputs( BOOL_line(6, report_ID), file);                     fputs("\t\t-!\n", file); // Line-6
    fputs(file_name, file); fputs("\tbinary.tmp\n", file);  // Line-7
    fputs(new_name, file); fputs("\tkeyun.txt\n", file); // Line-8
    fputs( BOOL_line(9, carriage_return), file);               fputs("\t\t-CRLF\n", file); // Line-9
    fputs( BOOL_line(10, descending), file);                   fputs("\t\t-r\n", file); // Line-10
    fputs( BOOL_line(11, loud), file);                         fputs("\t\t-s\n", file); // Line-11
    fputs( BOOL_line(12, remove_temporary_binary_file), file); fputs("\t\t-y\n", file); // Line-12
    fputs( BOOL_line(13, unique_summary), file); fputs("\t\t-u\n", file); // Line-13

	fclose(file);
}
