#include "sutai.h"

/*
sortk C-1.11
Comparing phrases from Field-2 to Field-3, for example, to arrange lines in descending order
Copyright 2019 Sogaya

gcc (GCC) 3.4.2 (mingw-special)
Borland C++ 5.5.1 for Win32
Open Watcom C32 Optimizing Compiler Version 1.8 J001

*/

char bits[ FIELD_COUNT + 1 ];
extern int check_ID[LIMIT_OF_MY_MEMORY];

BOOL extension_equals_CSV(char *p) {
    BOOL csv = FALSE;
    char *extention;
    char CAPITAL_CSV[] = "CSV";
    char CSV[] = "csv";
    char DOT[] = ".";
    const int DOT_SIZE = 1;

    char *q = strstr(p, DOT);
    if(q != NULL) {
        extention = q + DOT_SIZE;
        if(! strcmp(CSV, extention) ) {
            csv = TRUE;
        } else if(! strcmp(CAPITAL_CSV, extention) ) {
            csv = TRUE;
        }

    }

    return csv;
}

int main(int argc, char *argv[]) {
    const BOOL WITH_COMMENTS = TRUE;
    const BOOL WITHOUT_COMMENTS = FALSE;
    const int BITS_SIZE = 2;
    const int ERROR_CODE = 1;
    const int GAP = ' ';
    const int JOINT_TERM_SIZE = 2;
    const int NEW_LINE_ZERO = 2; /* buffer shall include '\n' and '\0'. */
    const int SEPARATOR_TERM_SIZE = 2;
    const int USED_AS_QUOTE_SIZE = 2;
    char ADD_ID[] = "-#";
    char ALL_LINES_SHARE_FIELD_COUNT[] = "-$";
    char BITS[] = "-h";
    char DESCENDING[] = "-r";
    char DO_NOT_CHECK_EXTENSION[] = "-x-";
    char DO_NOT_REMOVE_TEMPORARY_BINARY_FILE[] = "-y";
    char EUC_JP_TERM[] = "-e";
    char FIELD_COUNT_TERM[] = "-a";
    char FLOATING_POINT_TERM[] = "-g";
    char HELP[] = "--help";
    char IGNORE_CONTROL_CHARACTERS[] = "-i";
    char INTEGER_TERM[] = "-n";
    char INTERVAL[] = "-k";
    char JOINT[] = "-v";
    char LINE_BUFFER_SIZE[] = "-l";
    char LINE_FOR_EACH_UNIQUE_SUMMARY[] = "-u";
    char MAXIMUM_LINE_COUNT[] = "-U";
    char NEW_FILE[] = "-o";
    char NO_COMBINING[] = "-c-";
    char NOT_CASE_SENSITIVE[] = "-f";
    char OMIT_P_AND_Q[] = "-p";
    char PRODUCE_SETTING_TEXT[] = "-%";
    char QUOTES[] = "-q";
    char REPORT_ID[] = "-!";
    char SEPARATOR[] = "-t";
    char SILENT[] = "-s";
    char SINGLE_FIELD[] = "-j";
    char SIZE_OF_BUFFER[] = "-z";
    char SKIP_SPACE[] = "-b";
    char USED_AS_QUOTE[] = "-w";
    char UTF_8_TERM[] = "-8";
    char VERSION_WITH_COMMENTS[] = "-VC";
    char VERSION_WITHOUT_COMMENTS[] = "-V";

    BOOL add_ID = FALSE;
    BOOL assume_shift_jis_appears = FALSE;
    BOOL carriage_return = TRUE;
    BOOL case_sensitive = TRUE;
    BOOL check_extension = TRUE;
    BOOL check_field_count = FALSE;
    BOOL combining_character = TRUE;
    BOOL csv = FALSE;
    BOOL descending = FALSE;
    BOOL line_buffer_size = FALSE;
    BOOL loud = TRUE;
    BOOL new_file = FALSE;
    BOOL produce_setting_text = FALSE;
    BOOL remove_temporary_binary_file = TRUE;
    BOOL remove_separators = FALSE;
    BOOL report_ID = FALSE;
    BOOL skip_space = FALSE;
    BOOL substituted = FALSE;
    BOOL surge = FALSE;
    BOOL unique_summary = FALSE;
    char *buffer;
    char *edge;
    char *q;
    char *supplied;
    char file_name[ FILE_NAME_SIZE + 1 ];
    char new_name[ FILE_NAME_SIZE + 1 ];
    int body_length = 1;
    int buffer_size = BUFFER_SIZE;
    int demands = FIELD_COUNT;
    int demands_1 = demands + 1;
    int direction = 1; /* direction > 0 */
    int exit_code = 0;
    int field_count = FIELD_COUNT;
    int file_name_size, i, h, line_count, line_number, maximum, maximum_line_length, new_line_length;
    int from = 1;
    int interval_0 = from;
    int to = 1;
    int interval_1 = to;
    int joint = BELL;
    int manager = PHRASES;
    int quote = QUOTE;
    int separator = GAP;
    int upper_limit = UPPER_LIMIT;
    long z = (long)BUFFER_SIZE;
    NUMBERED o;
    NUMBERED *n = &o;
    SELECTED selected;
    SELECTED *s = &selected;

    s->exit_code = (int)FILE_ERROR;
    memset(file_name, 0, FILE_NAME_SIZE + 1 );
    memset(new_name, 0, FILE_NAME_SIZE + 1 );
    supplying_bits(bits, &field_count);

    for(i = 1; i < argc; ++i) {
        if(! strcmp(ADD_ID, argv[i]) ) {
            add_ID = TRUE;
        } else if(! strcmp(ALL_LINES_SHARE_FIELD_COUNT, argv[i]) ) {
            check_field_count = TRUE;
        } else if(! strcmp(DESCENDING, argv[i]) ) {
            descending = TRUE;
        } else if(! strcmp(DO_NOT_CHECK_EXTENSION, argv[i]) ) {
            check_extension = FALSE;
        } else if(! strcmp(DO_NOT_REMOVE_TEMPORARY_BINARY_FILE, argv[i]) ) {
            remove_temporary_binary_file = FALSE;
        } else if(! strcmp(EUC_JP_TERM, argv[i]) ) {
            carriage_return = FALSE;
        } else if(! strcmp(FLOATING_POINT_TERM, argv[i]) ) {
            manager = FLOATING_POINT_NUMBERS;
        } else if(! strcmp(HELP, argv[i]) ) {
            version_guide(VERSION, WITH_COMMENTS, loud);
        } else if(! strcmp(IGNORE_CONTROL_CHARACTERS, argv[i]) ) {
            assume_shift_jis_appears = TRUE;
        } else if(! strcmp(INTEGER_TERM, argv[i]) ) {
            manager = INTEGERS;
        } else if(! strcmp(LINE_BUFFER_SIZE, argv[i]) ) {
            line_buffer_size = TRUE;
        } else if(! strcmp(LINE_FOR_EACH_UNIQUE_SUMMARY, argv[i]) ) {
            unique_summary = TRUE;
        } else if(! strcmp(NEW_FILE, argv[i]) ) {
            new_file = TRUE;
        } else if(! strcmp(NO_COMBINING, argv[i]) ) {
            combining_character = FALSE;
        } else if(! strcmp(NOT_CASE_SENSITIVE, argv[i]) ) {
            case_sensitive = FALSE;
        } else if(! strcmp(OMIT_P_AND_Q, argv[i]) ) {
            substituted = TRUE;
        } else if(! strcmp(PRODUCE_SETTING_TEXT, argv[i]) ) {
            produce_setting_text = TRUE;
        } else if(! strcmp(QUOTES, argv[i]) ) {
            remove_separators = TRUE;
        } else if(! strcmp(REPORT_ID, argv[i]) ) {
            report_ID = TRUE;
        } else if(! strcmp(SILENT, argv[i]) ) {
            loud = FALSE;
        } else if(! strcmp(SKIP_SPACE, argv[i]) ) {
            skip_space = TRUE;
        } else if(! strcmp(UTF_8_TERM, argv[i]) ) {
            carriage_return = FALSE;
        } else if(! strcmp(VERSION_WITH_COMMENTS, argv[i]) ) {
            version_guide(VERSION, WITH_COMMENTS, loud);
        } else if(! strcmp(VERSION_WITHOUT_COMMENTS, argv[i]) ) {
            version_guide(VERSION, WITHOUT_COMMENTS, loud);
        } else {
            q = argv[i];
            edge = & q[0];

            q = strstr(argv[i], BITS);
            if(q == edge) {
                q += BITS_SIZE;
                body_length = strlen(q);
                if(body_length > field_count) {
                    body_length = field_count;
                    memcpy(bits, q, body_length);
                    bits[body_length] = '\0';
                } else {
                    demands = field_count - body_length;
                    demands_1 = demands + 1;
                    supplied = malloc(demands_1);
                    if(supplied == NULL) {
                        fprintf(stderr, "malloc() error-10: %d bytes", demands_1);
                        exit(1);
                    }

                    supplied[demands] = '\0';
                    memset(supplied, SET, demands);
                    strcpy(bits, q);
                    strcat(bits, supplied);
                    free(supplied);
                }

                continue;
            }

            q = strstr(argv[i], FIELD_COUNT_TERM);
            if(q == edge) {
                numbered(n, argv[i]);
                field_count = number(n);
                if(! strcmp(FIELD_COUNT_TERM, parameter(n) ) ) {
                    if(field_count == NOT_CONVERTED) {
                        field_count = FIELD_COUNT;
                    }

                    continue;
                }

                field_count = FIELD_COUNT;
            }

            q = strstr(argv[i], INTERVAL);
            if(q == edge) {
                numbered_less_than_final(n, argv[i], FIELD_COUNT);
                if( trimmed_sequence(n) ) {
                    interval_1 = number(n);
                    interval_0 = subnumber(n);
                    if(! strcmp(INTERVAL, parameter(n) ) ) {
                        if(interval_0 == NOT_CONVERTED) {
                            interval_0 = 1;
                            interval_1 = 1;
                        }

                        direction = interval_1 - interval_0;
                        if(direction >= 0) {
                            from = interval_0;
                            to = interval_1;
                            surge = TRUE;
                            continue;
                        } else {
                            from = interval_1;
                            to = interval_0;
                            surge = TRUE;
                            continue;
                        }

                    }

                }

                interval_0 = 1;
                interval_1 = 1;
            }

            q = strstr(argv[i], JOINT);
            if(q == edge) {
                joint = punctuation(argv[i], JOINT_TERM_SIZE);
                continue;
            }

            q = strstr(argv[i], MAXIMUM_LINE_COUNT);
            if(q == edge) {
                numbered(n, argv[i]);
                upper_limit = number(n);
                if(! strcmp(MAXIMUM_LINE_COUNT, parameter(n) ) ) {
                    if(upper_limit == NOT_CONVERTED) {
                        upper_limit = UPPER_LIMIT;
                    }

                    continue;
                }

                upper_limit = UPPER_LIMIT;
            }

            q = strstr(argv[i], SEPARATOR);
            if(q == edge) {
                separator = punctuation(argv[i], SEPARATOR_TERM_SIZE);
                continue;
            }

            q = strstr(argv[i], SINGLE_FIELD);
            if(q == edge) {
                numbered(n, argv[i]);
                from = number(n);
                if(! strcmp(SINGLE_FIELD, parameter(n) ) ) {
                    if(from == NOT_CONVERTED) {
                        from = 1;
                        to = 1;
                        surge = FALSE;
                    }

                    to = from;
                    surge = TRUE;
                    continue;
                }

                from = 1;
                to = 1;
                surge = FALSE;
            }

            q = strstr(argv[i], SIZE_OF_BUFFER);
            if(q == edge) {
                numbered(n, argv[i]);
                buffer_size = number(n);
                if(! strcmp(SIZE_OF_BUFFER, parameter(n) ) ) {
                    if(buffer_size == NOT_CONVERTED) {
                        buffer_size = BUFFER_SIZE;
                    }

                    continue;
                }

                buffer_size = BUFFER_SIZE;
            }

            q = strstr(argv[i], USED_AS_QUOTE);
            if(q == edge) {
                quote = punctuation(argv[i], USED_AS_QUOTE_SIZE);
                continue;
            }

            if(new_file) {
                new_name[FILE_NAME_SIZE] = '\0';
                strncpy(new_name, argv[i], FILE_NAME_SIZE);
                new_file = FALSE;
            } else {
                file_name[FILE_NAME_SIZE] = '\0';
                strncpy(file_name, argv[i], FILE_NAME_SIZE);
            }

        } /* if */

    } /* for(i = 1; i < argc; ++i) */

    if(surge) {
        surge_of_set_bits(bits, field_count, from, to);
    }

    file_name_size = strlen(file_name);
    if(file_name_size == 0) {
        if(buffer_size == BUFFER_SIZE) {
            if(add_ID) {
                buffer_size = BLOCK_SIZE - END_ID;
            } else {
                buffer_size = BLOCK_SIZE - END;
            }

        }

        z = (long)buffer_size;
        if(line_buffer_size) {
            fprintf(stdout, "%d bytes\n", buffer_size);
        }

        if(check_field_count) {
            exit_code = standard_input_counting(s, bits, z, separator, field_count, joint, quote, upper_limit, remove_separators);
        } else {
            if(add_ID) {
                line_count = standard_input_binary_output_adding_ID(s, bits, z, separator, field_count, joint, manager, quote, upper_limit, assume_shift_jis_appears, combining_character, remove_separators, skip_space, substituted);
            } else {
                line_count = standard_input_binary_output(s, bits, z, separator, field_count, joint, manager, quote, upper_limit, assume_shift_jis_appears, combining_character, remove_separators, skip_space, substituted);
            }

            if(line_count > 0) {
                exit_code = 0;
            } else {
                exit_code = s->exit_code;
                return exit_code;
            }

        }

    } else {
        if(buffer_size == BUFFER_SIZE) {
            buffer_size = (int)file_size(file_name);
            if(buffer_size >= 0) {
                buffer_size += 1;
                buffer = malloc(buffer_size);
                if(buffer != NULL) {
                    FILE *p = fopen(file_name, "rb");
                    fread(buffer, buffer_size, 1, p);
                    maximum = maximum_LF_to_LF_span(&line_count, &line_number, &carriage_return, buffer, buffer_size);
                    new_line_length = carriage_return ? 2 : 1;
                    maximum_line_length = maximum - new_line_length;
                    fclose(p);
                    free(buffer);

                    buffer_size = maximum_line_length + NEW_LINE_ZERO;
                }

            } else {
                fprintf(stderr, "file_size() error: %d\n", buffer_size);
                return ERROR_CODE;
            }

        }

        z = (long)buffer_size;
        if(line_buffer_size) {
            fprintf(stdout, "%d bytes\n", buffer_size);
        }

        if(check_extension) {
            csv = extension_equals_CSV(file_name);
            if(csv) {
                separator = COMMA;
            }

        }

        if(check_field_count) {
            exit_code = counting(s, file_name, bits, z, separator, field_count, joint, quote, upper_limit, remove_separators);
        } else {
            if(add_ID) {
                line_count = selecting_adding_ID(s, file_name, bits, z, separator, field_count, joint, manager, quote, upper_limit, assume_shift_jis_appears, combining_character, remove_separators, skip_space, substituted);
            } else {
                line_count = selecting(s, file_name, bits, z, separator, field_count, joint, manager, quote, upper_limit, assume_shift_jis_appears, combining_character, remove_separators, skip_space, substituted);
            }

            if(line_count > 0) {
                exit_code = 0;
            } else {
                exit_code = s->exit_code;
                return exit_code;
            }

        }

    }

    if(produce_setting_text) {
        producing_text(SETTING_TEXT, TEMPORARY_BINARY, new_name, line_count, manager, s->record_size, add_ID, case_sensitive, report_ID, carriage_return, descending, loud, remove_temporary_binary_file, unique_summary);
    }

// Reading records and arranging lines in ascending/descending order
    if(unique_summary) {
        exit_code = arranging_unique_lines_to_produce_text(TEMPORARY_BINARY, new_name, line_count, manager, s->record_size, add_ID, carriage_return, case_sensitive, descending);
    } else {
        exit_code = arranging_to_produce_text(TEMPORARY_BINARY, new_name, line_count, manager, s->record_size, add_ID, carriage_return, case_sensitive, descending);
    }

    if(remove_temporary_binary_file) {
        remove(TEMPORARY_BINARY);
    }

    if(report_ID) {
        for(h = 0; h < LIMIT_OF_MY_MEMORY && check_ID[h] > 0; ++h) {
            fprintf(stdout, "Line-%d\n", check_ID[h]);
        }

    }

    return exit_code;
}

int punctuation(char *p, int q) {
    const int GAP = ' ';
    const int GREATER_THAN = '>';
    const int LESS_THAN = '<';
    const int TAB = '\t';
    const int VERTICAL_LINE = '|';
    const int X_SIZE = 1;
    const int YEN = '\\';
    const int YEN_SIZE = 1;
    char *stop;
    char ASCII_KATAKANA[] = "                                 !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~                                  ";
    char hexadecimal[3] = {0, 0, 0};
    unsigned char uc = (unsigned char)p[q];
    int c = (int)uc;
    int k;
    int separator = COMMA;

    if(c == YEN) {
        q += YEN_SIZE;
        uc = (unsigned char)p[q];
        c = (int)uc;
        switch(c) {
        case 'A':
            return LESS_THAN;
        case HE: /* 0xCD */
            return LESS_THAN;
        case 'l':
            return VERTICAL_LINE;
        case 's':
            return GAP;
        case 't':
            return TAB;
        case 'v':
            return GREATER_THAN;
        case 'x':
            q += X_SIZE;
            memcpy(hexadecimal, &p[q], 2);
            separator = (int)strtol(hexadecimal, &stop, 16);
            return separator;
        default:
            return COMMA;
        }

    }

    for(k = 0; ASCII_KATAKANA[k]; k++) {
        if(ASCII_KATAKANA[k] == c) {
            separator = k;
        }

    }

    return separator;
}
